<?php
/**
*
* @author Shredder
* @copyright (c) 2015 http://www.phpbb-work.ru/
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'PB_MOD_INSTALL';
$language_file = 'mods/info_acp_pb_mod';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'posts_bookmarking_version';

/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
// $logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'0.9.1' => array(
		'custom'	=> 'change_bookmarks_table',

		'module_add' => array(
			array('ucp', 'UCP_MAIN', array(
					'module_basename'	=> 'main',
					'module_langname'	=> 'UCP_MAIN_POST_BOOKMARKS',
					'module_mode'		=> 'post_bookmarks',
					'module_auth'		=> 'cfg_allow_bookmarks',
				),
			),
		),
	),

	'0.9.2' => array(
	),
);

function change_bookmarks_table($action)
{
	global $db, $user;

	if ($action == 'install')
	{
		$sql = 'ALTER TABLE ' . BOOKMARKS_TABLE . ' ADD post_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0';
		$db->sql_query($sql);

		$sql = 'ALTER TABLE ' . BOOKMARKS_TABLE . ' DROP PRIMARY KEY, ADD PRIMARY KEY (topic_id, user_id, post_id) COMMENT \'\'';
		$db->sql_query($sql);
	}
	else if ($action == 'uninstall')
	{
		$sql = 'DELETE FROM ' . BOOKMARKS_TABLE . ' WHERE post_id <> 0';
		$db->sql_query($sql);

		$sql = 'ALTER TABLE ' . BOOKMARKS_TABLE . ' DROP COLUMN post_id';
		$db->sql_query($sql);

		$sql = 'ALTER TABLE ' . BOOKMARKS_TABLE . ' DROP PRIMARY KEY, ADD PRIMARY KEY (topic_id, user_id) COMMENT \'\'';
		$db->sql_query($sql);
	}

	$message = $user->lang['PHPBB_WORK_SUPPORT'];

	return $message;
}

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>